PrefabFiles = {
	"td",
	"reaper",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/td.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/td.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/td.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/td.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/td_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/td_silho.xml" ),

    Asset( "IMAGE", "bigportraits/td.tex" ),
    Asset( "ATLAS", "bigportraits/td.xml" ),
	
	Asset( "IMAGE", "images/inventoryimages/reaper.tex"),
	Asset( "ATLAS", "images/inventoryimages/reaper.xml"),
	
	Asset("IMAGE", "minimap/clem.tex"),
    Asset("ATLAS", "minimap/clem.xml"),
	

}

GetPlayer = GLOBAL.GetPlayer

AddMinimapAtlas("minimap/clem.xml")


local function ModMaxwellIntro(inst)
    if GLOBAL.GetPlayer().prefab == "td" then
        inst.components.maxwelltalker.speeches.SANDBOX_1 =
        {
            appearsound = "dontstarve/maxwell/appear_adventure",
	    voice = "dontstarve/maxwell/talk_LP_world1",
		appearanim = "appear2",
		idleanim= "idle2_loop",
		dialogpreanim = "dialog2_pre",
		dialoganim="dialog2_loop",
		dialogpostanim = "dialog2_pst",
		disappearanim = "disappear2",
            disableplayer = true,
            skippable = false,
            {
                string = "You wanted a life without those two little kids?",
                wait = 3,
                anim = nil,
                sound = nil,
            },
            {
                string = "Here there's only you, me and the creatures.",
                wait = 3,
                anim = nil,
                sound = nil,
            },
            {
                string = "I held my end of the bargain, as you can see.",
                wait = 3,
                anim = nil,
                sound = nil,
            },
            {
                string = "Now it's your turn.",
                wait = 2.5,
                anim = nil,
                sound = nil,
            },
			{
                string = "This place is my domain, so no funny stuff with the scythe.",
                wait = 3,
                anim = nil,
                sound = nil,
            },
            {
                string = "I will make sure you hold your end of the deal...",
                wait = 3,
                anim = dialog1_loop,
                sound = nil,
            },
	}
    end
end

AddPrefabPostInit("maxwellintro", ModMaxwellIntro)




GLOBAL.STRINGS.CHARACTER_TITLES.td = "The Grim Reaper"
GLOBAL.STRINGS.CHARACTER_NAMES.td = "Grim"
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.td = "*Isn't as scared of monsters or the darkness.\n *Has high health but low sanity and hunger.\n *Starts with his scythe."
GLOBAL.STRINGS.CHARACTER_QUOTES.td = "At least I'm not forced to be somebody's friend any more."

GLOBAL.STRINGS.NAMES.REAPER = "Grim's Scythe"
GLOBAL.STRINGS.RECIPE_DESC.REAPER = "The reaper's scythe."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.REAPER = "I wouldn't be the Grim reaper without it."



table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "td")

AddPrefabPostInit("reaper")
AddModCharacter("td")